from gcs_migration.parsers import BlackPearlConfig

import pytest
from pytest_lazyfixture import lazy_fixture


@pytest.mark.parametrize(
    "blackpearl_config_file",
    [
        lazy_fixture("blackpearl_default_config_file"),
        lazy_fixture("blackpearl_custom_config_file"),
    ],
)
def test_blackpearl_config_parser(
    blackpearl_endpoint: str,
    blackpearl_access_id_filename: str,
    blackpearl_config_file: str,
    blackpearl_default_config_file_path: str,
) -> None:
    config = BlackPearlConfig(blackpearl_config_file)
    assert config.endpoint == blackpearl_endpoint
    assert config.access_id_file == blackpearl_access_id_filename


def test_blackpearl_config_parser_default_path(
    blackpearl_endpoint: str,
    blackpearl_access_id_filename: str,
    blackpearl_default_config_file: str,
) -> None:
    config = BlackPearlConfig()
    assert config.endpoint == blackpearl_endpoint
    assert config.access_id_file == blackpearl_access_id_filename
